# List system properties

Endpoint: GET /v1/properties
Security: httpAuth

## Query parameters:

  - `limit` (integer)
    The number of entities to return.

  - `startingAfter` (string)
    Entity id used to the determine beginning of query results.
    Enum: "NOTARY_COMMUNICATION_KEY", "NOTARY_COLLECTIONS_KEY", "NOTARY_API_KEY", "STATE_REVIEW_AUTHORITY"

  - `sortBy` (string)
    Property name used to sort the query results.
    Enum: "id", "metadata.createdAt", "metadata.lastModifiedAt"

  - `sortOrder` (string)
    Sort order applied to the query results.
    Enum: "ASC", "DESC"

  - `id` (array)
    Return entities matching given system property id.
    Enum: "NOTARY_COMMUNICATION_KEY", "NOTARY_COLLECTIONS_KEY", "NOTARY_API_KEY", "STATE_REVIEW_AUTHORITY"

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.data` (any, required)

  - `items.signature` (string, required)

  - `items.signingKey` (string, required)

  - `count` (integer, required)

  - `currentStartingAfter` (string)

  - `nextStartingAfter` (string)

## Response 401 fields (application/json):

  - `reason` (string, required)

  - `message` (string)


